<template>
    <div id="testxxxxx2">
      <div v-for="item in itemss" :key="item.id">
        {{ item.device_category_name }} × {{ item.quantity }}
      </div>
    </div>
  </template>
  
  <script lang="ts" setup name="ItemsList">
   import { onMounted } from 'vue';
  const { itemss } = defineProps<{ itemss: any[] }>();
   console.log('items:', itemss);

  console.log('ItemsList组件加载成功');

  watch(() => itemss, (val) => {
  console.log('📦 itemss changed:', val);
});


onMounted(() => {
  console.log('✅ ItemsList 已挂载');
  console.log('📦 itemss:', itemss);
});

  </script>
  